
header {
  background: $cream;
  padding: 10px 0;
  box-shadow: 0 0 10px rgba($primary, .2);

  & > .wrapper {
    display: flex;
    justify-content: space-between;
    align-items: center;
  }
}

.logo {
  flex-basis: 80px;
  max-width: 80px;
}

.header__menu {
  flex-basis: 450px;

  ul {
    display: flex;
    justify-content: space-between;
    align-items: center;

    a {
      text-transform: uppercase;
      color: $textColor;
      font-size: 1.3em;

      &:hover {
        color: $secondary;
      }
    }

    .btn {
      color: $secondary;
    }
  }
}

.btn-responsive {
  width: 25px;
  padding: 0;
  background: transparent;
  line-height: 1;
  border: 0;
  color: $primary;
  display: none;
  &:hover {
    color: $secondary;
  }
}

.nav-responsive {
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  display: flex;
  justify-content: center;
  flex-direction: column;
  backdrop-filter: blur(10px);
  padding: 30px;
  z-index: 9999;
  align-items: center;
background: rgba(47,86,109,0.5);
  .btn-close {
    position: absolute;
    top: 20px;
    right: 20px;
    padding: 0px;
    line-height: 1;
    background: transparent;
    border: none;
    color: $cream;
    svg  {
      width: 14px;

    }
    &:hover {
      color: $secondary;
    }
    
  }

  ul {
    text-align: center;
    li {
      &:not(:last-of-type) {
        margin-bottom: 10px;
      }
      a {
        font-size: 20px;
        color: $cream;
        text-transform: uppercase;
      }
    }
  }
}

@media screen and(max-width: 640px) {
  .header__menu {
    flex-basis: 40px;
    ul {
      display: none
    }

    .btn-responsive {
      display: block
    }
  }
}